Subject: Re: [Autoconf] call for consensus about link local address support

From: [email-masked]
Date: Tue, 22 Sep 2009 23:57:36 +0200 (CEST)

(copy to mail-list)

Ulrich,

Why should we work on a protocol that protects against invalid usage?
L2 won't work anyway. And we only help the misusing nodes.
Let's forget this useless effort.

Teco.

On Tue, Sep 22, 2009 at 1:42 PM, Henning Rogge <[email-masked]> wrote:
[...]
>
> I agree with Henning. It is not good enough to assume unique MAC addresses
> or good random number generators. I think that this is the reason why
DAD is
> required in RFC4862. In such a case mentioned by Henning, devices could
> indeed use the same seed for the random number generator and create the
same
> addresses.
Unique MAC addresses are good enough...[...]

Yes, *if* they are unique. But this cannot always be asumed.

Ulrich

---

From: [email-masked]
Date: Tue, 22 Sep 2009 23:58:11 +0200 (CEST)

(copy to mail-list)

Hi Charlie,

|> EUI-64 is one mechanism, especially useful when there is a globally
|> unique MAC address available. Any unique MAC address on the box
|> will do.
|> Another practical approach is using random interface-id and accept
|> an almost zero chance on a duplicate.
|
|In the past, some random number generators have been "bad",
|to use the technical nomenclature.  Perhaps you would like to
|make it illegal by international law to enable user-selectable MAC
|addresses.

I'll repeat my opinion: I think DAD is optional. It helps for misbehaving
nodes (or manual configuration). Wellbehaving nodes have the overhead.
And thus I think it is useless. And harmful, because the risk of a DoS
attack.

And yes, random means random.

|>  I don't see a reason why
|> DYMO won't send messages with link-locals.
|
|That one I can answer.  It's because link-locals (almost by definition)
|do not contain any information useful for the purposes of DYMO
|(i.e., creating routes to destination IP addresses).

???
The source IP address of a DYMO message has little to do with routes
to be created. It is needed for 1-hop connectivity only.
So link-locals work well for DYMO :-)
But for sure, the created routes are ULA or global (or new type
"ManetLocal").

Regards, Teco.